Skip to main content

Overview

Cards and certificates use the document extraction API.
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract
Async tasks use the same request body:
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task
GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}

Request parameters

NameTypeRequiredDescription
tenant_namestringYesTenant name. Default: laiye.
app_idstringYesUnique ID of the card and certificate preset application.
file_base64stringOptionalBase64 content of the file. Use either file_base64 or file_url.
file_urlstringOptionalOnline file URL. Use either file_url or file_base64. Only HTTP URLs are supported.
with_rec_resultbooleanNoWhether to return document recognition results. Default: false.

Supported document types

TypeTypical fields
Vehicle certificate of conformityCertificate number, vehicle manufacturer, brand, model, VIN/frame number, engine number, manufacture date
Exit-entry permit for Hong Kong and MacaoName, English name, date of birth, gender, validity period, issuing authority, certificate number
Household registerHousehold type, head of household, household number, address, member name, relationship, ID number
Driver licenseLicense number, name, gender, nationality, date of birth, permitted vehicle class, issuing authority
Account opening permitApproval number, number, basic deposit account, legal representative, bank, account number
ID cardName, gender, ethnicity, date of birth, address, ID number, issuing authority, validity period
Vehicle licensePlate number, vehicle type, owner, usage nature, brand and model, VIN, engine number, registration date
Bank cardCard number, issuing institution, validity period, card type
Business licenseUnified social credit code, name, type, business scope, registered capital, legal representative
Chinese passportName, English name, gender, date of birth, place of birth, passport number, issuing place, validity period
Organization code certificateOrganization code, organization name, organization type, address, validity period, issuing authority

Response

The response uses the common document extraction structure.
FieldTypeDescription
codestringBusiness code. success means the request succeeded.
messagestringResponse message.
data.task_idstringExtraction task ID.
data.statusintegerExtraction status. 4 means success, and 5 means failure.
data.extraction_resultarrayField extraction results.
data.classify_resultobjectDocument classification result.